using System.ComponentModel.DataAnnotations;

namespace Domain.Entities.Forum.ValueObject;

/// <summary>
/// 게시판 종류
/// </summary>
public enum BoardType : byte
{
    [Display(Name = "자유 게시판")]
    Free = 1,

    [Display(Name = "문의 게시판")]
    QnA = 2,

    [Display(Name = "공지사항")]
    Notice = 3,

    [Display(Name = "익명 게시판")]
    Anonymity = 4,

    [Display(Name = "상품 게시판")]
    Goods = 5,

    [Display(Name = "사진 게시판")]
    Gallery = 6
}